Package net.sf.saxon.type

## Class ValidationParams

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<StructuredQName,​Sequence>
    - - net.sf.saxon.type.ValidationParams

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<StructuredQName,​Sequence>`

      public class ValidationParams
      extends java.util.HashMap<StructuredQName,​Sequence>

  This class represents a collection of parameter values for use in schema validation; it defines values for the parameters declared using the saxon:param XSD extension.

  The implementation is just a HashMap; giving the class a name helps type safety.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationParams()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `setValidationParams​(java.util.Map<StructuredQName,​XPathVariable> declaredParams, ValidationParams actualParams, XPathDynamicContext context)` |

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ValidationParams

          public ValidationParams()

  - ### Method Detail

    - #### setValidationParams

          public static void setValidationParams​(java.util.Map<StructuredQName,​XPathVariable> declaredParams,
                                                 ValidationParams actualParams,
                                                 XPathDynamicContext context)
                                          throws XPathException

      Throws:
        `XPathException`